
# maxmods

[maxmods](https://github.com/maxwellewxam/maxmods/) is a collection of tools and utilities for Python. It includes modules for authentication, menus, and more. The library is released under the MIT License and the documentation is generated by an AI trained by OpenAI.


## Features

 - The [auth](https://github.com/maxwellewxam/maxmods/tree/main/maxmods/auth) module provides classes for handling user authentication. The `AuthSesh` class can be used to create an authentication session and perform actions such as logging in, signing up, and loading and saving data to the backend server.

- The [menu](https://github.com/maxwellewxam/maxmods/tree/main/maxmods/menu) module provides classes for creating menus. The `BasicMenu` class allows you to create a menu with items that accept user input and call associated functions when selected. The `InfoMenu` class allows you to create a menu that displays information without accepting user input. The `SettingsMenu` class allows you to create a menu that accepts user input and updates attributes of an associated class when an item is selected.

- The [primitives](https://github.com/maxwellewxam/maxmods/tree/main/maxmods/primitives) module provides some useful code snippits but is not maintianed and not recomened to be used. however it is provided for those who want it.
  
## Installation

```terminal
$ pip install maxmods
```



## License and Disclaimer

The [maxmods](https://github.com/maxwellewxam/maxmods/) library is licensed under the MIT License, which means it is free to use and distribute for both personal and commercial purposes. The documentation for the library has been generated by an AI trained by OpenAI, and may not be entirely accurate or up-to-date. It is recommended to consult the source code for the library for the most accurate information.

## Authors

- [@maxwellewxam](https://www.github.com/maxwellewxam)
- [@3008362](https://www.github.com/3008362)
